Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444762 - sys-devel/gcc: multilib libjava wants 32bit jack
Summary: sys-devel/gcc: multilib libjava wants 32bit jack
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard: masked in 17.0 profiles
Keywords:
: 467824 506012 529006 544960 568486 573964 587152 592566 (view as bug list)
Depends on: 511832
Blocks:
  Show dependency tree
 
Reported: 2012-11-26 07:49 UTC by Juergen Rose
Modified: 2019-12-29 10:52 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bzip2ed /var/tmp/portage/sys-devel/gcc-4.6.3/temp/build.log (build.log.bz2,575.90 KB, application/x-bzip2)
2012-11-26 07:50 UTC, Juergen Rose
Details
gcc-4.9.3 build.log without 32bit jack (build.log.xz,232.24 KB, application/x-xz)
2016-07-02 19:21 UTC, James Broadhead
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2012-11-26 07:49:17 UTC
'emerge gcc' fails with:
...
/bin/sh ../../../libtool --tag=CC   --mode=link /var/tmp/portage/sys-devel/gcc-4.6.3/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.6.3/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -W -Wall -Wmissing-declarations -Wwrite-strings -Wmissing-prototypes -Wno-long-long  -fexceptions -fasynchronous-unwind-tables -g -march=amdfam10 -O2 -pipe  -m32 -module -version-info 0:0:0 -no-undefined -avoid-version -m32 -o libgjsmdssi.la -rpath /usr/lib/../lib32/gcj-4.6.3-12 gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.lo gnu_javax_sound_midi_dssi_DSSISynthesizer.lo ../../../native/jni/classpath/jcl.lo -ljack 
libtool: link: /var/tmp/portage/sys-devel/gcc-4.6.3/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.6.3/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -shared  .libs/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.o .libs/gnu_javax_sound_midi_dssi_DSSISynthesizer.o ../../../native/jni/classpath/.libs/jcl.o   -ljack  -m32 -march=amdfam10 -m32 -m32   -Wl,-soname -Wl,libgjsmdssi.so -o .libs/libgjsmdssi.so
/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libjack.so when searching for -ljack
/usr/x86_64-pc-linux-gnu/bin/ld: cannot find -ljack
collect2: ld returned 1 exit status
make[8]: *** [libgjsmdssi.la] Error 1


libjack belongs to jack-audio-connection-kit-0.121.3:
root@caiman:/root(26)# ll /usr/lib/libjack.so*
lrwxrwxrwx 1 root root    17 Nov 25 18:44 /usr/lib/libjack.so -> libjack.so.0.0.28*
lrwxrwxrwx 1 root root    17 Nov 25 18:44 /usr/lib/libjack.so.0 -> libjack.so.0.0.28*
-rwxr-xr-x 1 root root 85360 Nov 25 18:44 /usr/lib/libjack.so.0.0.28*
root@caiman:/root(27)# ldd /usr/lib/libjack.so.0.0.28
        linux-vdso.so.1 (0x00007fff6de86000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f6ffd553000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f6ffd258000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f6ffd03a000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f6ffce36000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f6ffca88000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f6ffd9d6000)
root@caiman:/root(28)# qfile -v /usr/lib/libjack.so.0.0.28
media-sound/jack-audio-connection-kit-0.121.3 (/usr/lib64/libjack.so.0.0.28)


Reemerging jack-audio-connection-kit and doing revdep-rebuild does not change anything.



Reproducible: Always




root@caiman:/root(29)# emerge --info '=sys-devel/gcc-4.6.3'
Portage 2.1.11.31 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.16.0, 3.6.5-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.6.5-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.2
Timestamp of tree: Mon, 26 Nov 2012 03:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.10.1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.5
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x11 bicatali science dilfridge java-overlay sunrise lisp x-portage x-cpan x-g-octave
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-10.3 cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr ru"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/bicatali /var/lib/layman/science /var/lib/layman/dilfridge /var/lib/layman/java-overlay /var/lib/layman/sunrise /var/lib/layman/lisp /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 apng applet archive arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boo boost bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cgi chm cli consolekit corba cracklib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpx fts3 fuse g3dvl galago gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glib glpk gml gmp gnome gnome-keyring gnome-print gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gsm gstreamer gtk gtk3 gudev guile harness hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3 id3tag ide imagemagick imap inotify ipod ipv6 irda ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kate kdepim kdrive kerberos keymap kpathsea kqemu kvm ladspa lame lapack latex lcms ldap lensfun libffi libkms libnotify libsamplerate live lm_sensors lua lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mkl mmx mmxext mng modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz mysql mysqli nautilus ncurses netcdf netpbm network networking networkmanager nfs nls nntp nptl nsplugin ntfs ntp numpy obex objc ocaml ocr octave odbc ofa ogdi ogg openexr opengl openmp overview pam pcre pda pdf perl plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectm projectx pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime raw readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets soup sox speex spell sql sqlite sse sse2 sse4a ssl stlport subtitles subversion sudo suexec svg svm swig szip t1lib tcl tcpd tex tex4ht texmacs tgif theora thesaurus threads thunderbird tidy tiff tk toolbar tools truetype udev unicode usb userlocales utempter vaapi video virtualbox visio vorbis wav webdav webdav-serf webkit wmf wxwidgets x264 xa xattr xcb xemacs xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="caps lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-devel/gcc-4.6.3 was built with the following:
USE="cxx doc fortran gcj gtk mudflap (multilib) nls nptl objc openmp (-altivec) -bootstrap -build (-fixed-point) -go -graphite (-hardened) (-libssp) -multislot -nocxx -nopie -nossp -objc++ -objc-gc -test -vanilla"
CFLAGS="-march=amdfam10 -O2 -pipe -O2"
CXXFLAGS="-march=amdfam10 -O2 -pipe -O2"




root@caiman:/root(30)# emerge -pqv '=sys-devel/gcc-4.6.3'
[ebuild   R   ] sys-devel/gcc-4.6.3  USE="cxx doc fortran gcj gtk mudflap (multilib) nls nptl objc openmp (-altivec) -bootstrap -build (-fixed-point) -go -graphite (-hardened) (-libssp) -multislot -nopie -nossp -objc++ -objc-gc {-test} -vanilla (-nocxx%)"
Comment 1 Juergen Rose 2012-11-26 07:50:33 UTC
Created attachment 330594 [details]
bzip2ed /var/tmp/portage/sys-devel/gcc-4.6.3/temp/build.log
Comment 2 Pär Karlsson 2012-11-26 13:37:32 UTC
Affects sys-devel/gcc-4.5.4 too, with the exact same error:

/bin/sh ../../../libtool --tag=CC   --mode=link /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -W -Wall -Wmissing-declarations -Wwrite-strings -Wmissing-prototypes -Wno-long-long  -fexceptions -fasynchronous-unwind-tables -g -O2 -march=native -pipe  -m32 -module -version-info 0:0:0 -no-undefined -avoid-version -m32 -o libgjsmdssi.la -rpath /usr/lib/../lib32/gcj-4.5.4-11 gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.lo gnu_javax_sound_midi_dssi_DSSISynthesizer.lo ../../../native/jni/classpath/jcl.lo -ljack
libtool: link: /var/tmp/portage/sys-devel/gcc-4.5.4/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.5.4/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -shared  .libs/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.o .libs/gnu_javax_sound_midi_dssi_DSSISynthesizer.o ../../../native/jni/classpath/.libs/jcl.o   -ljack  -m32 -march=native -m32 -m32   -Wl,-soname -Wl,libgjsmdssi.so -o .libs/libgjsmdssi.so
/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libjack.so when searching for -ljack
/usr/x86_64-pc-linux-gnu/bin/ld: cannot find -ljack
collect2: ld returned 1 exit status
make[8]: *** [libgjsmdssi.la] Error 1

emerge --info:

Portage 2.1.11.31 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.4, glibc-2.15-r3, 3.5.7-gentoo x86_64)
=================================================================
System uname: Linux-3.5.7-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4200+-with-gentoo-2.1
Timestamp of tree: Mon, 26 Nov 2012 03:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.7, 4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.mdfnet.se/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en sv"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://elektra/gentoo-portage"
USE="3dnow X a52 aac aalib accessibility acl acpi alsa amd64 ao audiofile avahi bash-completion berkdb bidi branding bzip2 cairo caps cdda cddb cdinstall cdparanoia cdr cli colord consolekit cracklib crypt cscope css cups curl cxx dbus dga djvu doc dri dts dv dvb dvd dvdr eds emboss encode evo examples exif expat fam fbcon ffmpeg fftw firefox flac fltk fontconfig fortran ftp gcj gd gdbm ggi gif gmp gnome gnome-keyring gnome-online-accounts gnutls gphoto2 gpm graphviz gsl gsm gstreamer gtk gtkhtml guile iconv icu idn imagemagick imlib ipv6 jabber jack java java6 jbig jpeg jpeg2k kde ladspa lame lash latex lcms ldap libcaca libgda libnotify libsamplerate lua lzo mad matroska migemo mikmod mmap mms mmx mng modplug modules mono mp3 mp4 mpeg mpi mplayer msn mtp mudflap multilib musepack musicbrainz mysql nas nautilus ncurses nls nntp nptl nsplugin ocaml odbc ogg openal openexr opengl openmp osc pam pango pcre pdf perl plotutils png policykit portaudio postscript ppds pppd pulseaudio python qt3support qt4 quicktime raw readline samba sdl semantic-desktop session smp sndfile socialweb sox speex spell sqlite sse sse2 ssl startup-notification subversion svg taglib tcl tcpd theora threads tiff tk truetype udev udisks unicode upower usb v4l vcd vim-syntax vnc vorbis wavpack webkit wmf wxwidgets wxwindows x264 xattr xcb xcomposite xface xft xine xinerama xml xosd xpm xprint xv xvid yahoo zeroconf zlib" ALSA_CARDS="hda-intel ice1712" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en sv" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64 arm i386 m68k mips mips64 mips64el mipsel ppc ppc64 ppcemb sparc sparc64" QEMU_USER_TARGETS="arm armeb i386 m68k mips mipsel ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc32plus sparc64 unicore32 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="dummy vesa nvidia fbdev none" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Juergen Rose 2012-12-03 14:56:52 UTC
Any news?
Comment 4 SpanKY gentoo-dev 2012-12-03 21:21:51 UTC
install all the emul packages and it'l probably work fine
Comment 5 Juergen Rose 2012-12-04 01:02:05 UTC
Thanks SpanKY,

after installing skype, which installed emul-linux-x86-soundlibs as dependency, also gcc-4.6.3 was installed succesfully.
Comment 6 Martin von Gagern 2013-01-02 01:03:40 UTC
gcc-4.1.2 still fails, even with app-emulation/emul-linux-x86-soundlibs-20121202 installed, as gcc is using the wrong file.

/var/tmp/portage/sys-devel/gcc-4.1.2/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.1.2/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -shared  .libs/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.o .libs/gnu_javax_sound_m
idi_dssi_DSSISynthesizer.o ../../../native/jni/classpath/.libs/jcl.o  -Wl,--rpath -Wl,/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 /usr/lib64/libjack.so  -Wl,-soname -Wl,libgjsmdssi.so.0 -o .libs/libgjsmdssi.so.0.0.0
/usr/lib64/libjack.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[9]: *** [libgjsmdssi.la] Error 1
make[9]: Leaving directory `/var/tmp/portage/sys-devel/gcc-4.1.2/work/build/x86_64-pc-linux-gnu/32/libjava/classpath/native/jni/midi-dssi'

Let me know if you'd prefer this as a separate report.
Comment 7 SpanKY gentoo-dev 2013-04-29 17:24:16 UTC
*** Bug 467824 has been marked as a duplicate of this bug. ***
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2014-03-28 04:27:08 UTC
*** Bug 506012 has been marked as a duplicate of this bug. ***
Comment 9 Ian Stakenvicius (RETIRED) gentoo-dev 2014-11-12 22:58:30 UTC
*** Bug 529006 has been marked as a duplicate of this bug. ***
Comment 10 Markus 2015-03-29 19:15:29 UTC
If media-sound/jack-audio-connection-kit is installed, gcc also needs media-sound/jack-audio-connection-kit[abi_x86_32].

As everyone is now forced into the new multilib, this should be fixed somehow.
Comment 11 SpanKY gentoo-dev 2015-05-26 08:51:06 UTC
*** Bug 544960 has been marked as a duplicate of this bug. ***
Comment 12 Arfrever Frehtes Taifersar Arahesis 2016-02-06 13:16:53 UTC
*** Bug 568486 has been marked as a duplicate of this bug. ***
Comment 13 Arfrever Frehtes Taifersar Arahesis 2016-02-06 13:17:26 UTC
*** Bug 573964 has been marked as a duplicate of this bug. ***
Comment 14 Juergen Rose 2016-03-06 22:42:54 UTC
I hit this issue again compiling gcc-5.3.0 with x86_64-pc-linux-gnu-4.9.3:

...
libtool: link: /var/tmp/portage/sys-devel/gcc-5.3.0/work/build/./gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-5.3.0/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include  -m32 -shared  -fPIC -DPIC  .libs/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.o .libs/gnu_javax_sound_midi_dssi_DSSISynthesizer.o ../../../native/jni/classpath/.libs/jcl.o   -ljack  -m32 -march=native -m32 -m32   -Wl,-soname -Wl,libgjsmdssi.so -o .libs/libgjsmdssi.so
/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libjack.so when searching for -ljack
/usr/x86_64-pc-linux-gnu/bin/ld: cannot find -ljack
Comment 15 Juergen Rose 2016-03-08 06:42:21 UTC
'USE="-jit -gcj" MAKEOPTS=-j1 emerge -v1 sys-devel/gcc' worked. After switching to gcc-5.3.0 the subsequent 'USE="-jit" MAKEOPTS=-j1 emerge -v1 sys-devel/gcc'
worked too. But a following 'MAKEOPTS=-j1 emerge -v1 sys-devel/gcc' fails then again with:
...
/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libjack.so when searching for -ljack
/usr/x86_64-pc-linux-gnu/bin/ld: cannot find -ljack
Comment 16 Juergen Rose 2016-03-14 07:18:24 UTC
I did also 'emerge -uvDNe world', but 'MAKEOPTS=-j1 emerge -v1 gcc' with USE=gcj still fails due to incompatible /usr/lib/libjack.so on one system. On other systems I can emerge gcc-5.3.0 also with USE=gcj. At the failing system I have:


root@leopard:/usr/src(45)# emerge --info '=sys-devel/gcc-5.3.0::gentoo'
Portage 2.2.28 (python 2.7.11-final-0, default/linux/amd64/13.0, gcc-5.3.0, glibc-2.22-r2, 4.4.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:     8121816 total,   2588132 free
KiB Swap:   33554424 total,  33493592 free
Timestamp of repository gentoo: Mon, 14 Mar 2016 03:00:01 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc[17724] (dcc_trace_version) distcc 3.2rc1 x86_64-pc-linux-gnu; built Mar 10 2016 12:08:29 [disabled]
app-shells/bash:          4.3_p42-r2::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.5.0::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.20.5::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.10.3::gentoo, 1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r2::gentoo
Repositories:

gentoo
    location: /usr/portage_leopard
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

g-cpan
    location: /var/lib/cpan
    masters: gentoo
    priority: 1

g-octave
    location: /var/lib/g-octave
    masters: gentoo
    priority: 2

ago
    location: /var/lib/layman/ago
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 50

x11
    location: /var/lib/layman/x11
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-11.x cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA NVIDIA-CUDA Nero-AAC-EULA GIMPS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo ftp://ftp.easynet.nl/mirror/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 amr ao apache2 apng applet archive armadillo arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boost bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cilk cli cmake collada cracklib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia digitalradio dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples excel exif expat extensions extra extras faac faad ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx ftp fuse gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glib glpk gml gmp gnome gnome-keyring gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gstreamer gtk gtk3 gudev guile hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3tag ide imagemagick imap inotify introspection ipod ipv6 irda ithreads jadetex java jbig jit john jpeg jpeg2k kate kdepim kdrive kerberos keymap kpathsea kvm ladspa lame lapack latex lcms ldap lensfun libffi libgda libkms libnotify libsamplerate live lm_sensors lua lzma lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mmx mmxext mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mpi-threads mplayer mtp multilib multimedia musepack musicbrainz mysql mysqli nautilus ncurses netcdf netpbm network networking nfs nls nntp nptl nsplugin ntfs ntp numpy nvidia obex objc ocaml ocr octave odbc ofa ogdi ogg opencl opencv openexr opengl openmp openvg pam pango pcre pda pdf pdl2 perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds preview-latex proj projectm pstricks pulseaudio python q16 q32 qemu qhull qt3support qt4 qt5 quicktime raw readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl seccomp secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite sse sse2 ssl stlport subtitles subversion sudo suexec svg svm swig systemd szip t1lib tbb tcl tcpd tex tex4ht texmacs theora thesaurus threads thunderbird tidy tiff tk tools truetype udev udisks unicode usb utempter v4l v4l2 vaapi vala valgrind vdpau video virt-network virtualbox visio vorbis vpx vtk wav wayland webdav webdav-serf webkit wmf wxwidgets x264 xa xattr xcb xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="cfontz hd44780 mtxorb ncurses X lcd2usb lcdlinux png usblcd SureElec" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="nouveau displaylink" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-devel/gcc-5.3.0::gentoo was built with the following:
USE="cilk cxx doc fortran jit (multilib) nls nptl objc openmp sanitize (-altivec) (-awt) -debug (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) (-multislot) -nopie -nossp -objc++ -objc-gc -regression-test -vanilla" ABI_X86="64"






root@leopard:/usr/src(46)# emerge -pqv '=sys-devel/gcc-5.3.0::gentoo'
[ebuild   R   ] sys-devel/gcc-5.3.0  USE="cilk cxx doc fortran jit (multilib) nls nptl objc openmp sanitize (-altivec) (-awt) -debug (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) (-multislot) -nopie -nossp -objc++ -objc-gc -regression-test -vanilla"
Comment 17 Juergen Rose 2016-03-14 07:19:46 UTC
The /var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-build-logs.tar.bz2 is too long to attach:

root@leopard:/usr/src(47)# ll /var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-build-logs.tar.bz2
-rw-r--r-- 1 root root 1017667 Mar 14 04:07 /var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-build-logs.tar.bz2
Comment 18 Juergen Rose 2016-03-27 14:17:24 UTC
(In reply to Markus from comment #10)
> If media-sound/jack-audio-connection-kit is installed, gcc also needs
> media-sound/jack-audio-connection-kit[abi_x86_32].
> 
> As everyone is now forced into the new multilib, this should be fixed
> somehow.

Thanks Markus,
After emerging jack-audio-connection-kit with abi_x86_32 it seems me, that I am now able to emerge also gcc-5.3.0 with the gcj USE flag.
Comment 19 SpanKY gentoo-dev 2016-06-27 02:24:57 UTC
*** Bug 587152 has been marked as a duplicate of this bug. ***
Comment 20 James Broadhead 2016-07-02 19:21:31 UTC
Created attachment 439454 [details]
gcc-4.9.3 build.log without 32bit jack

Could this be marked as a dependency of gcc, so that portage picks it up to avoid these build failures? 

Just hit the same problem with gcc-4.9.3, and rebuilding jack with USE="abi_x86_32" resolved it.
Comment 21 Arfrever Frehtes Taifersar Arahesis 2016-08-31 20:46:18 UTC
*** Bug 592566 has been marked as a duplicate of this bug. ***
Comment 22 Reuben Martin 2016-10-23 22:33:11 UTC
jack is getting pulled in via dssi, which is likely getting pulling in from something midi related. Perhaps midi can be disabled for GCJ?
Comment 23 aditsu 2017-05-18 11:52:36 UTC
Just got this problem with gcc-5.4.0-r3. It never happened to me before.
Comment 24 Andrius Štikonas 2017-05-18 11:57:19 UTC
(In reply to aditsu from comment #23)
> Just got this problem with gcc-5.4.0-r3. It never happened to me before.

Well, java is going away in gcc 6 anyway... Will soon resolve by itself.
Comment 25 Sergei Trofimovich gentoo-dev 2019-12-29 10:52:29 UTC
Let's close it as non-masked version sif gcc don't have gcj and related libraries.